当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装nvidia驱动的问题
帖子发表于 : 2006-11-19 20:23 

注册: 2006-11-16 22:37
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
大家帮我看看,我安装nvidia驱动该安装什么文件。。。

我执行

代码:
mengzef@mengzef:/etc/X11$ sudo apt-get install nvidia-glx
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
Reading state information... 完成     
将会安装下列额外的软件包:
  binutils-static linux-image-2.6.17-10-386
  linux-restricted-modules-2.6.17-10-386 linux-restricted-modules-common
  nvidia-kernel-common
建议安装的软件包:
  linux-doc-2.6.17 linux-source-2.6.17 avm-fritz-firmware-2.6.17-10
  nvidia-kernel-source
下列【新】软件包将被安装:
  binutils-static linux-image-2.6.17-10-386
  linux-restricted-modules-2.6.17-10-386 linux-restricted-modules-common
  nvidia-glx nvidia-kernel-common
共升级了 0 个软件包,新安装了 6 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 553kB/35.0MB 的软件包。
解压缩后会消耗掉 100MB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://ubuntu.cn99.com edgy/main binutils-static 2.17-1ubuntu1 [553kB]
下载 553kB,耗时 19s (27.9kB/s)                                               
正在预设定软件包 ...
选中了曾被取消选择的软件包 binutils-static。
(正在读取数据库 ... 系统当前总共安装有 89997 个文件和目录。)
正在解压缩 binutils-static (从 .../binutils-static_2.17-1ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 linux-image-2.6.17-10-386。
正在解压缩 linux-image-2.6.17-10-386 (从 .../linux-image-2.6.17-10-386_2.6.17-10.33_i386.deb) ...
Done.
选中了曾被取消选择的软件包 linux-restricted-modules-common。
正在解压缩 linux-restricted-modules-common (从 .../linux-restricted-modules-common_2.6.17.6-1_all.deb) ...
选中了曾被取消选择的软件包 nvidia-kernel-common。
正在解压缩 nvidia-kernel-common (从 .../nvidia-kernel-common_20051028+1ubuntu7_all.deb) ...
选中了曾被取消选择的软件包 linux-restricted-modules-2.6.17-10-386。
正在解压缩 linux-restricted-modules-2.6.17-10-386 (从 .../linux-restricted-modules-2.6.17-10-386_2.6.17.6-1_i386.deb) ...
选中了曾被取消选择的软件包 nvidia-glx。
正在解压缩 nvidia-glx (从 .../nvidia-glx_1.0.8776+2.6.17.6-1_i386.deb) ...
正在设置 binutils-static (2.17-1ubuntu1) ...
正在设置 linux-image-2.6.17-10-386 (2.6.17-10.33) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.17-10-386

正在设置 linux-restricted-modules-common (2.6.17.6-1) ...

正在设置 nvidia-kernel-common (20051028+1ubuntu7) ...

正在设置 linux-restricted-modules-2.6.17-10-386 (2.6.17.6-1) ...

正在设置 nvidia-glx (1.0.8776+2.6.17.6-1) ...

mengzef@mengzef:/etc/X11$


mengzef@mengzef:/etc/X11$ sudo nvidia-xconfig


安装了如下包,,
binutils-static linux-image-2.6.17-10-386
linux-restricted-modules-2.6.17-10-386 linux-restricted-modules-common
nvidia-kernel-common
可是我的nvidia的驱动起不起来。。

然后我看
代码:
mengzef@mengzef:~$ uname -a
Linux mengzef 2.6.17-10-generic #2 SMP Fri Oct 13 18:45:35 UTC 2006 i686 GNU/Linux
mengzef@mengzef:~$


如是执行了
代码:
mengzef@mengzef:~$ sudo apt-get install linux-restricted-modules-2.6.17-10-generic
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
Reading state information... 完成     
建议安装的软件包:
  avm-fritz-firmware-2.6.17-10
下列【新】软件包将被安装:
  linux-restricted-modules-2.6.17-10-generic
共升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 7682kB 的软件包。
解压缩后会消耗掉 20.9MB 的额外空间。.....

安装上 linux-restricted-modules-2.6.17-10-generic后,奇怪的是我的nvidia启动了。。。



代码:
mengzef@mengzef:~$ apt-cache search  linux-restricted-modules-2.6.17-10
linux-restricted-modules-2.6.17-10-386 - Non-free Linux 2.6.17 modules on 386
linux-restricted-modules-2.6.17-10-generic - Non-free Linux 2.6.17 modules on x86_64 generic
mengzef@mengzef:~$


这上面不是说linux-restricted-modules-2.6.17-10-generic是64位系统的吗?奇怪了。。。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-11-19 21:13 
头像

注册: 2006-07-15 10:43
帖子: 136
送出感谢: 0 次
接收感谢: 0 次
686和x86-64


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-11-19 22:40 
头像

注册: 2005-12-09 15:33
帖子: 179
地址: 云南.昆明
送出感谢: 0 次
接收感谢: 0 次
generic

通用


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-11-19 22:58 

注册: 2006-11-16 22:37
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
那就奇怪了,为什么系统自动安装的就是跟我安装的这个。。linux-restricted-modules-2.6.17-10-386


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-11-22 17:57 

注册: 2006-08-28 16:52
帖子: 131
地址: 上海外国语大学
送出感谢: 0 次
接收感谢: 0 次
你的平台是386的吧,哪里有说这个是64位的阿,不知道来,呵呵


_________________
Sunken Boot


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-11-25 7:56 

注册: 2006-11-16 22:37
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
代码:
mengzef@mengzef:~$ uname -a
Linux mengzef 2.6.17-10-generic #2 SMP Fri Oct 13 18:45:35 UTC 2006 i686 GNU/Linux
mengzef@mengzef:~$

这个说明了我不是386的系统吧...



代码:
mengzef@mengzef:~$ apt-cache search  linux-restricted-modules-2.6.17-10
linux-restricted-modules-2.6.17-10-386 - Non-free Linux 2.6.17 modules on 386
linux-restricted-modules-2.6.17-10-generic - Non-free Linux 2.6.17 modules on [b]x86_64 [/b]generic



这个应该是说明是64位的吧...


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-12-01 16:50 

注册: 2006-10-08 8:52
帖子: 42
送出感谢: 0 次
接收感谢: 0 次
楼主和我一样的现象啊 我也不知道该怎么办了


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-12-01 18:39 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
用aptitude解决依赖问题


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译